petsc-3.6.2 2015-10-02
Report Typos and Errors

# SNESMSInitializePackage

This function initializes everything in the SNESMS package. It is called from PetscDLLibraryRegister() when using dynamic libraries, and on the first call to SNESCreate_MS() when using static libraries.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESMSInitializePackage(void)

### Keywords

SNES, SNESMS, initialize, package

### See Also

PetscInitialize()

Level:developer
Location:src/snes/impls/ms/ms.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages